Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Delete form response

DELETE
/v2/tenant/{tenantKey}/form/{formTemplateKey}/responses/{formResponseKey}
curl --request DELETE \
--url https://sender.api.kivra.com/v2/tenant/example/form/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/responses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Given a tenant key, form template key and form response key deletes the form response submitted by a user.

Only the client that created the form template associated with the response can call this endpoint.

tenantKey
required
string format: hexadecimal

The unique Key for a Tenant for whom the form belongs to.

formTemplateKey
required
string format: uuid

The form_template_key associated with the form template.

formResponseKey
required
string format: uuid

The form response key associated with the form responses.

Form deleted

Can’t process the request. Likely due to a client error.

Not authorized to make the request

Forbidden from accessing the form response keys

Either the form template associated with the given formTemplateKey does not exist or the form response associated with the given responseKey does not exist.